### Configuration settings
packages=coldfusion.log.log4j2.plugins.converters

property.basepath = C:\\Users\\ADMINI~1\\AppData\\Local\\Temp\\Adobe\\ColdFusion\\logs\\

# CONSOLE is set to be a ConsoleAppender using a PatternLayout.
appender.console.type = Console
appender.console.name = CONSOLE
appender.console.target = SYSTEM_OUT
appender.console.layout.type = PatternLayout
appender.console.layout.pattern = %d{MMM d, yyyy HH:mm:ss} %p [%t] - %m%n
appender.console.filter.threshold.type = ThresholdFilter
appender.console.filter.threshold.level = info

# AXISCONSOLE is set to be a ConsoleAppender for Axis using a PatternLayout.
appender.axisconsole.type = Console
appender.axisconsole.name = AXISCONSOLE
appender.axisconsole.layout.type = PatternLayout
appender.axisconsole.layout.pattern = %d [%t] AXIS %-5p %c - %m%n
appender.axisconsole.filter.threshold.type = ThresholdFilter
appender.axisconsole.filter.threshold.level = error

# JETTYCONSOLE is set to be a ColsoleAppender for jetty message  using a PatternLayout.
appender.jettyconsole.type = Console
appender.jettyconsole.name = JETTYCONSOLE
appender.jettyconsole.layout.type = PatternLayout
appender.jettyconsole.layout.pattern = %d{MM/dd HH:mm:ss} [%t] JETTY %-5p - %m%n%n
appender.jettyconsole.filter.threshold.type = ThresholdFilter
appender.jettyconsole.filter.threshold.level = error

# AXIS2LOGFILE is set to be a File appender using a PatternLayout.
appender.axis2logfile.type = RollingFile
appender.axis2logfile.name = AXIS2LOGFILE
appender.axis2logfile.fileName = ${basepath}/axis2.log
appender.axis2logfile.filePattern = ${basepath}/axis2.%i.log
appender.axis2logfile.createOnDemand = true
appender.axis2logfile.layout.type = PatternLayout
appender.axis2logfile.layout.pattern = %d [%t] AXIS2 %-5p %c - %m%n
appender.axis2logfile.policies.type = Policies
appender.axis2logfile.policies.size.type = SizeBasedTriggeringPolicy
appender.axis2logfile.policies.size.size=5000KB
appender.axis2logfile.strategy.type = DefaultRolloverStrategy
appender.axis2logfile.strategy.max = 5

# ESAPILOGFILE is set to be a RollingFileAppender for ESAPI using a PatternLayout.
appender.esapilogfile.type = RollingFile
appender.esapilogfile.name = ESAPILOGFILE
appender.esapilogfile.fileName = ${basepath}/esapiconfig.log
appender.esapilogfile.filePattern = ${basepath}/esapiconfig.%i.log
appender.esapilogfile.createOnDemand = true
appender.esapilogfile.layout.type = PatternLayout
appender.esapilogfile.layout.pattern = %d{MM/dd HH:mm:ss} [%t] ESAPI %-5p - %m%n%n
appender.esapilogfile.policies.type = Policies
appender.esapilogfile.policies.size.type = SizeBasedTriggeringPolicy
appender.esapilogfile.policies.size.size=5000KB
appender.esapilogfile.strategy.type = DefaultRolloverStrategy
appender.esapilogfile.strategy.max = 5

# ESCLIENTLOGFILE is set to be a FileAppender for ElasticSearch Client using a PatternLayout.
appender.esclientlogfile.type = RollingFile
appender.esclientlogfile.name = ESCLIENTLOGFILE
appender.esclientlogfile.fileName = ${basepath}/esclient.log
appender.esclientlogfile.filePattern = ${basepath}/esclient.%i.log
appender.esclientlogfile.createOnDemand = true
appender.esclientlogfile.layout.type = PatternLayout
appender.esclientlogfile.layout.pattern = %d{MM/dd HH:mm:ss} [%t] ESCLIENT %-5p - %m%n%n
appender.esclientlogfile.policies.type = Policies
appender.esclientlogfile.policies.size.type = SizeBasedTriggeringPolicy
appender.esclientlogfile.policies.size.size=5000KB
appender.esclientlogfile.strategy.type = DefaultRolloverStrategy
appender.esclientlogfile.strategy.max = 5

# HibernateLogfile is set to be a RollingFileAppender for Hibernate message using a PatternLayout.
appender.hibernatelogfile.type = RollingFile
appender.hibernatelogfile.name = HIBERNATELOGFILE
appender.hibernatelogfile.fileName = ${basepath}/hibernatesql.log
appender.hibernatelogfile.filePattern = ${basepath}/hibernatesql.%i.log
appender.hibernatelogfile.createOnDemand = true
appender.hibernatelogfile.layout.type = PatternLayout
appender.hibernatelogfile.layout.pattern = %d{MM/dd HH:mm:ss} [%t] HIBERNATE %-5p - %m%n%n
appender.hibernatelogfile.policies.type = Policies
appender.hibernatelogfile.policies.size.type = SizeBasedTriggeringPolicy
appender.hibernatelogfile.policies.size.size=5000KB
appender.hibernatelogfile.strategy.type = DefaultRolloverStrategy
appender.hibernatelogfile.strategy.max = 5

# CCSLOGFILE is set to be a RollingFileAppender for ESAPI using a PatternLayout.
appender.ccslogfile.type = RollingFile
appender.ccslogfile.name = CCSLOGFILE
appender.ccslogfile.fileName = ${basepath}/ccs.log
appender.ccslogfile.filePattern = ${basepath}/ccs.%i.log
appender.ccslogfile.createOnDemand = true
appender.ccslogfile.layout.type = PatternLayout
appender.ccslogfile.layout.pattern = %d{MM/dd HH:mm:ss} [%t] CCS %-5p - %m%n%n
appender.ccslogfile.policies.type = Policies
appender.ccslogfile.policies.size.type = SizeBasedTriggeringPolicy
appender.ccslogfile.policies.size.size=5000KB
appender.ccslogfile.strategy.type = DefaultRolloverStrategy
appender.ccslogfile.strategy.max = 5

# Set root logger priority to INFO and its only appender to CONSOLE.
#rootLogger = INFO, CONSOLE

### setup ESAPI Log
logger.esapi =ERROR, ESAPILOGFILE
logger.esapi.name = org.owasp.esapi
logger.esapi.additivity = false

### Setup Axis Log
logger.axis =WARN, AXISCONSOLE
logger.axis.name = org.apache.axis
logger.axis.additivity = false

###Setup ElasticSearch Client Log
logger.esclient =ERROR, ESCLIENTLOGFILE
logger.esclient.name = org.elasticsearch.client
logger.esclient.additivity = false

logger.esclientsniffer =ERROR, ESCLIENTLOGFILE
logger.esclientsniffer.name = org.elasticsearch.client.sniffer
logger.esclientsniffer.additivity = false

### Setup Axis2 Log
logger.axis2 =ERROR, AXIS2LOGFILE
logger.axis2.name = org.apache.axis2
logger.axis2.additivity = false

# Set the enterprise logger category to FATAL and its only appender to CONSOLE.
logger.axisenterprise =FATAL, AXISCONSOLE
logger.axisenterprise.name = org.apache.axis.enterprise

### Setup JetS3t Log
logger.jets3t =ERROR, CONSOLE
logger.jets3t.name = org.jets3t.service

###--------------- Hibernate Log Settings ------
### Set Hibernate log 
logger.hibernate =ERROR, HIBERNATELOGFILE
logger.hibernate.name = org.hibernate

### log just the SQL
logger.hibernateSQL =DEBUG, HIBERNATELOGFILE
logger.hibernateSQL.name = org.hibernate.SQL
logger.hibernateSQL.additivity = false

### Also log the parameter binding to the prepared statements.
#log4j.logger.org.hibernate.type=DEBUG


### log schema export/update ###
#log4j.logger.org.hibernate.tool.hbm2ddl=ERROR

### log cache activity ###
logger.hibernatecache =ERROR, HIBERNATELOGFILE
logger.hibernatecache.name = org.hibernate.cache

#---------------------------------------------

###--------------- Jetty Log Settings ------
### Set Jetty log 
logger.jetty =ERROR, JETTYCONSOLE
logger.jetty.name = org.eclipse.jetty

###-------------- CCS Log Settings ------------###
### Set CCS Log
logger.ccs =DEBUG, CCSLOGFILE
logger.ccs.name = coldfusion.centralconfig
logger.ccs.additivity = false

###--------------- Ehcache Log Settings ------
### Set Ehcache log

logger.ehcache =ERROR, CONSOLE
logger.ehcache.name = net.sf.ehcache

###-------------- Quartz Log Settings ----------###
### For Quartz logging
logger.quartz =ERROR, CONSOLE
logger.quartz.name = org.quartz

logger.apache =ERROR, CONSOLE
logger.apache.name = org.apache
